Download it now!
Bug 90406 - Hanging punctuation after math objects or bibliography entries
Summary: Hanging punctuation after math objects or bibliography entries
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Bibliography
  Show dependency treegraph
 
Reported: 2015-04-02 06:19 UTC by Yury
Modified: 2018-09-08 02:41 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
snap of the ODT page top (13.97 KB, image/png)
2015-04-02 06:19 UTC, Yury
Details
result of exporting that page to pdf (31.99 KB, application/pdf)
2015-04-02 06:20 UTC, Yury
Details
hanging punctuation after formula (67.59 KB, application/vnd.oasis.opendocument.text)
2016-01-09 05:10 UTC, Yury
Details
corrected version of the previous sample (50.72 KB, application/vnd.oasis.opendocument.text)
2016-01-09 08:34 UTC, Yury
Details
proofpic (5.1.0.1) (141.59 KB, image/jpeg)
2016-01-09 09:24 UTC, Yury
Details
proofpic of sample doc in 5.2.7.2 (210.23 KB, image/jpeg)
2017-09-04 04:49 UTC, Yury
Details
sample in 6.0.0 (141.18 KB, image/jpeg)
2017-09-07 19:39 UTC, Yury
Details
sample doc (modified) triggering the issue in 6.0.0.0 (34.11 KB, application/vnd.oasis.opendocument.text)
2017-09-07 19:42 UTC, Yury
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yury 2015-04-02 06:19:23 UTC
Created attachment 114544 [details]
snap of the ODT page top

When exporting to PDF, a biblio entry followed by punctuation (e.g., comma) may be rendered with punctuation "hanging", that is, punctuation mark put on the start of the line.

This is difficult to reproduce, so I'm just attaching the PDF (produced) and the snap of top of the Writer's window. I've been exporting to PDF that ODT's page only.
Comment 1 Yury 2015-04-02 06:20:34 UTC
Created attachment 114545 [details]
result of exporting that page to pdf
Comment 2 Buovjaga 2015-04-10 12:55:54 UTC
Could not reproduce.

Are you sure you don't want to attach an example file to test with?

Win 7 Pro 64-bit, Version: 4.4.2.2
Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6
Locale: fi_FI
Comment 3 Yury 2015-04-20 05:44:46 UTC
I just can't catch it when I need it (and the original got changed). It surely is of the same nature as #65944, but is more difficult to trigger.
Comment 4 Jean-Baptiste Faure 2015-04-26 10:25:55 UTC
Without a test file, such kind of bug report is useless for developers.
Please, attach one when you have it. Setting status to NEEDINFO, please set it back to UNCONFIRMED once you have provided requested data.

Thank you for your understanding.
Best regards. JBF
Comment 5 QA Administrators 2015-12-27 20:31:08 UTC Comment hidden (obsolete)
Comment 6 Jean-Baptiste Faure 2016-01-03 21:09:00 UTC
Closing as INVALID.
Please feel free to reopen and set as UNCONFIRMED if you are willing providing
requested data.

Best regards. JBF
Comment 7 Yury 2016-01-09 05:10:34 UTC
Created attachment 121811 [details]
hanging punctuation after formula

I believe this sample to be a manifestation of the same problem. Only in this instance the hanging punctuation comes after the Math object. The font used is Times New Roman from MS Webpack.

Neither Tools->Update->Fields, nor ->Page Formatting has any effect on this.

The [397] in the preceding text was entered by hand, instead of auto-numbered bibliography -- edits that do not cause the Math object to move in its line of text, do not affect the hanging punctuation.

Some rounding error in widths calculation, or objects reporting to Writer the incorrect (too small) width values?

At least, could someone knowledgeable advise on how to *find* all such occurences, either programmatically or in the source XML, even??
I'll need this text soon.
Comment 8 Yury 2016-01-09 05:11:52 UTC
I'm reopening this because I think the new example contains the needed info, even if it involves Math object, not Bibliography object.
Comment 9 Jean-Baptiste Faure 2016-01-09 08:15:19 UTC
(In reply to Yury from comment #8)
> I'm reopening this because I think the new example contains the needed info,
> even if it involves Math object, not Bibliography object.

Your attachment is not usable because the main text is embedded as external source. When I open your document I see the first page with text and the 201 following pages are empty. At the end I read: Продолжение таблицы Error: Reference source not found
Please provide a working document.

Best regards. JBF
Comment 10 Yury 2016-01-09 08:34:45 UTC
Created attachment 121813 [details]
corrected version of the previous sample

The previous sample wasn't 'broken', there just remained two floating frames anchored to pages, bulking the page count.
Comment 11 Yury 2016-01-09 08:36:36 UTC
...sorry, the problem proper is in paragraph numbered 1.1.1, 4th and 5th lines.
Comment 12 Jean-Baptiste Faure 2016-01-09 08:59:21 UTC
Not reproducible for me with LO 4.4, LO 5.0 and LO 5.1.0 RC1+
What is your current LO version ?

Best regards. JBF
Comment 13 Yury 2016-01-09 09:24:28 UTC
Created attachment 121814 [details]
proofpic (5.1.0.1)

Linux 64-bit 4.3.7.2 and 5.1.0.1
Comment 14 Buovjaga 2016-01-09 09:46:06 UTC
Yep, I see the comma at the beginning of the line that continues with причём таких

Could not find a duplicate report.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 22e5170af74c635cf55d089f97946b6dc86f82ad
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-01-05_23:41:26
Locale: fi-FI (fi_FI)

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 15 Yury 2016-05-05 11:35:43 UTC
I don't know much on LO internals, but is there a table of glyph/object classes allowing line-breaking?

The issues of this kind might be resolved at a stroke, if inserted objects were transferred to the non-breaking words/glyphs class or equivalent.
Comment 16 QA Administrators 2017-09-01 11:15:27 UTC Comment hidden (obsolete)
Comment 17 Jean-Baptiste Faure 2017-09-02 07:55:51 UTC
Still not reproducible for me.
Version: 5.4.2.0.0+
Build ID: 875baa884dd64abc9c8e454e82f584b519058e90
CPU threads: 4; OS: Linux 4.4; UI render: GL; VCL: gtk3; 
Ubuntu_16.04_x86-64
Locale: fr-FR (fr_FR.UTF-8); Calc: single

Best regards. JBF
Comment 18 Yury 2017-09-04 04:49:08 UTC
Created attachment 135991 [details]
proofpic of sample doc in 5.2.7.2

I'm still not imagining things.

Version: 5.2.7.2
Build ID: 2b7f1e640c46ceb28adf43ee075a6e8b8439ed10
CPU Threads: 2; OS Version: Linux 4.4; UI Render: default; VCL: gtk2; 
Locale: ru-RU (en_GB.UTF-8); Calc: group
Comment 19 Buovjaga 2017-09-07 17:08:35 UTC
(In reply to Yury from comment #18)
> Created attachment 135991 [details]
> proofpic of sample doc in 5.2.7.2
> 
> I'm still not imagining things.
> 
> Version: 5.2.7.2
> Build ID: 2b7f1e640c46ceb28adf43ee075a6e8b8439ed10
> CPU Threads: 2; OS Version: Linux 4.4; UI Render: default; VCL: gtk2; 
> Locale: ru-RU (en_GB.UTF-8); Calc: group

Yeah, ok, but could you test with a more recent version? Because I cannot reproduce on Linux or Windows. In comment 14, I could reproduce, but it's a long time ago.

Win 10
Version: 6.0.0.0.alpha0+ (x64)
Build ID: 4b4ebb15456af443347679a7e7e8726c090a5bf5
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2017-08-31_02:04:11
Locale: fi-FI (fi_FI); Calc: group

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha0+
Build ID: bf3a87d1ee9106161d26f33c1ccb6b7b0d0aa0b9
CPU threads: 8; OS: Linux 4.12; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on September 7th 2017
Comment 20 Yury 2017-09-07 19:39:56 UTC
Created attachment 136106 [details]
sample in 6.0.0

The previous sample rendered fine (is the default kerning more loose btw?), 
but the problem is there, triggered by selecting the glyphs in the paragraph up to and including the offending comma, and setting the 'spacing' to -0,3 points. Saved and reopened.
Comment 21 Yury 2017-09-07 19:42:06 UTC
Created attachment 136107 [details]
sample doc (modified) triggering the issue in 6.0.0.0

In the paragraph in question, the characters' spacing up to and including the offending comma is set to -0,3 pt.
Comment 22 Buovjaga 2017-09-07 19:48:39 UTC
(In reply to Yury from comment #21)
> Created attachment 136107 [details]
> sample doc (modified) triggering the issue in 6.0.0.0
> 
> In the paragraph in question, the characters' spacing up to and including
> the offending comma is set to -0,3 pt.

Yep, you are right.
Comment 23 QA Administrators 2018-09-08 02:41:09 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug